Redmine - Feature #5484

Add new issue as subtask to an existing ticket
2010-05-09 14:56 - Jens Goldhammer

Status: Closed Start date: 2010-05-09
Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 100%
Category: Issues Estimated time: 0.00 hour
Target version: 1.0.3

Resolution: Fixed

Description

Subtask feature was implemented in r3573.

In comparision to Erics patch in ticket #443 the current implementation does not allow to add a new issue as child to an existing ticket
in the ticket view. You always have to navigate to the parent issue and than add a child issue. This increases the amount of clicks the
user has to do.

Maybe we can enable this field via project option.

New issue
Tracker * Bug -
Subject * |
Description g | ; 'y & ¢ m m m = = B & e (g @
Status * New -
Priority * Normal
Assigned to
Target version
Child of Remove
Related issues:
Has duplicate Redmine - Feature #6223: Allow setting Task-Subtask relationshi... Closed 2010-08-26

Associated revisions

Revision 4311 - 2010-10-30 18:15 - Jean-Baptiste Barth

Added ability to create issue directly as a subtask of another one. #5484

Contributed by Felix Schafer

History

#1 - 2010-07-08 18:29 - Aaron Parks

| have had several requests for this feature as well from my users.

+1
https://www.redmine.org/projects/redmine/repository/svn/revisions/3573

#2 - 2010-07-08 19:33 - Pieter Smith

+1

#3 - 2010-07-08 22:07 - Felix Schéafer
- File show _the_parent id_field_for_new_issues.patch added

- Category set to Issues

The parent ID field is only not rendered for new issues, this simple patch of the view will make it show.

#4 - 2010-07-20 13:56 - David Marin Carreiio

+1
#5 - 2010-07-27 06:04 - Amil Waduwawara
Some more requests to make this fantastic tool better...

e allow setting parent issue using context menu (as in Redmine Issues Group plug-in)
¢ allow setting parent issue editing multiple issues (select multiple issues; set parent issue id)

This is extracted from my comment on Redmine Wiki as Eric Davis suggested after correcting some mistakes.

#6 - 2010-10-05 14:40 - Bruno Medeiros

If you click more when editing, there is a 'parent task' field, witch allows you to set the parent task.

#7 - 2010-10-05 14:55 - Felix Schéfer
Eric (or JB): go for 1.0.3?

#8 - 2010-10-07 06:49 - Jean-Baptiste Barth

| don't really like this, there are too many things in the "new issue" view already. If you have any idea on how we could integrate this field better, I'm
open to suggestions. It's just my opinion of course, no big deal if there's a consensus between other contributors to integrate it.

#9 - 2010-10-08 01:59 - Eric Davis
Jean-Baptiste Barth wrote:
| don't really like this, there are too many things in the "new issue" view already.
| agree there is a lot there but it's a field that is already present on the normal issue form. When subtasks were committed, that field was missed on
new issues. Without this field, it also make the "create a new child issue" a multi step process.
| want to redo a lot of the subissue Ul for 1.1, but | think Felix's patch will be fine for 1.0.3 until we come up with a better solution.
#10 - 2010-10-08 04:36 - Jean-Baptiste Barth
- Assignee set to Jean-Baptiste Barth
- Target version set to 1.0.3
| don't think we can say a field has been "missed" when there's a complex, explicit "unless" clause above ;-)
Anyway, I'm fine with this approach, let's include it in 1.0.3 and plan to rework on the Ul for 1.1. Forgive my natural resistance to change..
#11 - 2010-10-30 18:09 - Jean-Baptiste Barth
- Status changed from New to Resolved

- % Done changed from 0 to 100

- Resolution set to Fixed

Committed in r4311, with additional css stuff so that you can easily hide it in your theme if you want.

#12 - 2010-11-01 01:22 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.3
#13 - 2021-04-21 20:23 - Aylin Ergun
